Site news

General news and announcements

DiscussionStarted byRepliesLast post
FRL Forms 0 Andrea McDonald
Fri, Aug 6, 2021, 3:18 PM
Intro to College Update 0 Andrea McDonald
Wed, Aug 4, 2021, 11:23 PM
Intro to College 0 Andrea McDonald
Mon, Aug 2, 2021, 5:50 PM
COVID-19 Mask Requirement 0 Andrea McDonald
Sun, Aug 1, 2021, 11:41 PM
Introduction to College Course 0 Andrea McDonald
Mon, Jul 19, 2021, 8:49 PM
Event: Virtual Student Panel 0 Cristal Porter
Tue, Jul 6, 2021, 7:55 PM
Social Point Event: College Tour 0 Cristal Porter
Fri, Jul 2, 2021, 1:43 AM
Event: Virtual Student Panel 0 Cristal Porter
Thu, Jul 1, 2021, 11:10 PM
NSHS Closed 0 Andrea McDonald
Mon, Jun 28, 2021, 5:25 PM
Job Opportunity Mike Davis Golf 0 NSHS Administrator
Sat, Jun 19, 2021, 8:53 PM
Fall College Tuition Payments 0 Andrea McDonald
Mon, Jun 14, 2021, 6:41 PM
NHS Closed 0 Andrea McDonald
Mon, Jun 14, 2021, 3:45 PM
Announcement: Blockchains Info Session 0 Cristal Porter
Tue, Jun 1, 2021, 8:24 PM
Opportunity: Connect In Place High School Summer Camp 0 Cristal Porter
Mon, May 24, 2021, 6:43 PM
Opportunity: UNLV LEAAD UP Initiative 0 Cristal Porter
Tue, Apr 6, 2021, 6:01 PM
Sports & Activities at NSHS 0 Cristal Porter
Thu, Apr 1, 2021, 3:39 PM
NSHS Student Union 0 Cristal Porter
Mon, Mar 22, 2021, 6:25 PM
Opportunity: Teen Tech Training 0 Cristal Porter
Thu, Mar 11, 2021, 9:15 PM
Announcement: Herald Applications Open 0 Cristal Porter
Mon, Mar 8, 2021, 9:43 PM
NSHS Blog: Meet the Staff 0 Cristal Porter
Mon, Mar 8, 2021, 9:33 PM
Nevada State Herald 0 Cristal Porter
Fri, Mar 5, 2021, 12:41 AM
Scholarship: College Prep Scholars Program 0 Cristal Porter
Fri, Mar 5, 2021, 12:39 AM
Opportunity: Nevada Youth Legislature 0 Cristal Porter
Thu, Feb 18, 2021, 5:02 PM
Nevada State Herald 0 Cristal Porter
Tue, Feb 16, 2021, 7:30 PM
Follow Nevada state High School on Social 0 Cristal Porter
Thu, Feb 4, 2021, 10:48 PM
Introduction to College Course 0 Andrea McDonald
Thu, Dec 31, 2020, 8:14 PM
NV 211 Youth App 0 Andrea McDonald
Thu, Dec 31, 2020, 8:13 PM
Nevada State Herald December Newsletter 0 Cristal Porter
Tue, Dec 22, 2020, 10:10 PM
NSHS Yearbooks for Sale 0 Cristal Porter
Fri, Dec 18, 2020, 8:59 PM
FRL – Spring 2021 Income Verification Forms 0 Cristal Porter
Wed, Dec 16, 2020, 6:04 PM
Picture Purchase Information 0 Matthew Iles
Fri, Aug 7, 2020, 1:38 AM
Check College Tuition Balances 0 Erika Capulo
Thu, Aug 6, 2020, 8:40 PM
ACT WorkKeys at Intro Course 0 Wendi Hawk
Fri, Jul 31, 2020, 2:37 AM
NSHS Starting date 8/10/2020 0 Wendi Hawk
Wed, Jul 29, 2020, 11:44 PM
Parent Contact with Colleges 0 Wendi Hawk
Wed, Jul 29, 2020, 11:26 PM
Yearbook Photo Dates 0 Wendi Hawk
Wed, Jul 29, 2020, 11:22 PM
NSHS Distance Learning Related to COVID-19 Restrictions 0 Matthew Iles
Thu, Jul 2, 2020, 10:40 PM
In-Person Meetings at NSHS locations 0 Matthew Iles
Thu, Jul 2, 2020, 10:39 PM
Official Transcript Submission 0 Matthew Iles
Tue, Jun 23, 2020, 5:31 PM
FREE Virtual ACT Boot Camp and 3 Fall Social Points 0 Candyce Farthing
Thu, May 28, 2020, 7:29 PM
Fall 2020 College Classes Likely a Majority Offered Online 0 Candyce Farthing
Sat, May 16, 2020, 12:52 AM
Study Skills and Transitions+ 0 Candyce Farthing
Sat, May 16, 2020, 12:39 AM
Fall 2020 College Placement Testing 0 Candyce Farthing
Sat, May 16, 2020, 12:26 AM
College Fall 2020 Open Enrollment 0 Wendi Hawk
Fri, May 1, 2020, 1:18 AM
Online Registration for 2020-21 0 Wendi Hawk
Thu, Apr 2, 2020, 2:18 AM
Southern Nevada TENTATIVE 2020-21 Required Transition Course Dates 0 Wendi Hawk
Thu, Apr 2, 2020, 2:18 AM
Northern Nevada TENTATIVE 2020-21 Transition Course 0 Wendi Hawk
Thu, Apr 2, 2020, 2:16 AM
Announcement: Car Wash 0 Matthew Iles
Thu, Apr 2, 2020, 2:09 AM
2020-2021 Introduction to College Course 0 Wendi Hawk
Thu, Apr 2, 2020, 1:00 AM
Downtown Henderson Grand Opening 0 Matthew Iles
Mon, Feb 24, 2020, 5:10 PM
Announcement: UNLV Parking 0 Jordan Nelson
Mon, Aug 19, 2019, 1:52 PM
Announcement: Introduction to College Course Parking/Dining 0 Jordan Nelson
Tue, Aug 6, 2019, 5:23 PM
NSHS Event: UNLV Application Workshop 0 Matthew Iles
Sun, Jul 28, 2019, 11:31 PM
NSHS Event: Northern Nevada College Trip 0 Matthew Iles
Fri, Jul 12, 2019, 10:10 PM
NSHS Event: Southern Nevada College Trip 0 Matthew Iles
Mon, Jul 8, 2019, 6:55 PM
Deadline: Transitions Courses 0 Jordan Nelson
Tue, Jul 2, 2019, 10:26 PM
NSHS Event: Update on Southern Nevada College Trip 0 Matthew Iles
Mon, Jul 1, 2019, 5:33 PM
NSHS Event Update: Requirements for College Trip 0 Matthew Iles
Mon, Jun 24, 2019, 6:40 PM
NSHS Event Update: Southern Nevada College Trip 0 Matthew Iles
Wed, Jun 19, 2019, 7:39 PM
NSHS Event: Northern Nevada College Trip 0 Matthew Iles
Mon, Jun 17, 2019, 7:02 PM
NSHS Event: Jennifer Lopez Concert 0 Matthew Iles
Thu, Jun 13, 2019, 11:39 PM
NSHS Event: Registration Help Day 0 Matthew Iles
Tue, Jun 11, 2019, 12:35 AM
NSHS Event: Southern Nevada College Trip 0 Matthew Iles
Mon, Jun 10, 2019, 9:54 PM
Announcement: NSHS Closed 0 Jordan Nelson
Mon, Dec 31, 2018, 6:58 PM
Announcement: NSHS Closed 0 Jordan Nelson
Tue, Nov 6, 2018, 2:00 AM
Income Verification Forms (FRL) 0 Jordan Nelson
Mon, Aug 13, 2018, 11:39 PM
Campus Closures 0 Jordan Nelson
Sat, Aug 11, 2018, 6:36 PM
Two Week Course Parking/Dining Info 0 Jordan Nelson
Fri, Aug 10, 2018, 7:42 PM
College Visit Trip 0 Larissa Hageman
Fri, Jul 27, 2018, 9:54 PM
NSHS Closed 0 Jordan Nelson
Sun, Jul 22, 2018, 8:14 PM
CAP/Transcripts 0 Janet Chaffin
Mon, Jun 25, 2018, 11:35 PM
Important Dates 0 Janet Chaffin
Mon, Jun 25, 2018, 11:26 PM
Caps N Cones 0 Jordan Nelson
Thu, Jun 21, 2018, 1:27 AM
Transitions Dates 2018-2019 0 Jordan Nelson
Mon, Jun 18, 2018, 10:27 PM